Update a skill
Server:
https://{kibana_url}
- PUT /api/agent_builder/skills/{skillId}
- PUT /s/{space_id}/api/agent_builder/skills/{skillId}
Refer to Spaces for more information.
Update an existing user-created skill. To learn more about Agent Builder skills, refer to the skills documentation.
[Required authorization] Route required privileges: agentBuilder:manageSkills.
Path Parameters
-
skillIdstring · min: 1 · max: 512required -
The unique identifier of the skill.
Request
-
contentstring -
Updated skill instructions content.
-
descriptionstring -
Updated description.
-
namestring -
Updated name for the skill.
-
referenced_contentobject · max: 100 -
contentstringrequired -
Content of the reference.
-
namestringrequired -
Name of the referenced content.
-
relativePathstringrequired -
Relative path of the referenced content.
-
tool_idsstring · max: 100 -
Updated tool IDs from the tool registry.
Response
200
application/json
Indicates a successful response